- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QMetaMethod Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qmetaobject.h.

`#include <qmetaobject.h>`

List of all members.

## Public Types
enum | Access { Private, Protected, Public }
enum | MethodType { Method, Signal, Slot, Constructor }
enum | Attributes { Compatibility = 0x1, Cloned = 0x2, Scriptable = 0x4 }
## Public Member Functions
| QMetaMethod ()
const char * | signature () const
const char * | typeName () const
QList< QByteArray > | parameterTypes () const
QList< QByteArray > | parameterNames () const
const char * | tag () const
Access | access () const
MethodType | methodType () const
int | attributes () const
int | methodIndex () const
const QMetaObject * | enclosingMetaObject () const
bool | invoke (QObject *object, Qt::ConnectionType connectionType, QGenericReturnArgument returnValue, QGenericArgument val0=QGenericArgument(0), QGenericArgument val1=QGenericArgument(), QGenericArgument val2=QGenericArgument(), QGenericArgument val3=QGenericArgument(), QGenericArgument val4=QGenericArgument(), QGenericArgument val5=QGenericArgument(), QGenericArgument val6=QGenericArgument(), QGenericArgument val7=QGenericArgument(), QGenericArgument val8=QGenericArgument(), QGenericArgument val9=QGenericArgument()) const
bool | invoke (QObject *object, QGenericReturnArgument returnValue, QGenericArgument val0=QGenericArgument(0), QGenericArgument val1=QGenericArgument(), QGenericArgument val2=QGenericArgument(), QGenericArgument val3=QGenericArgument(), QGenericArgument val4=QGenericArgument(), QGenericArgument val5=QGenericArgument(), QGenericArgument val6=QGenericArgument(), QGenericArgument val7=QGenericArgument(), QGenericArgument val8=QGenericArgument(), QGenericArgument val9=QGenericArgument()) const
bool | invoke (QObject *object, Qt::ConnectionType connectionType, QGenericArgument val0=QGenericArgument(0), QGenericArgument val1=QGenericArgument(), QGenericArgument val2=QGenericArgument(), QGenericArgument val3=QGenericArgument(), QGenericArgument val4=QGenericArgument(), QGenericArgument val5=QGenericArgument(), QGenericArgument val6=QGenericArgument(), QGenericArgument val7=QGenericArgument(), QGenericArgument val8=QGenericArgument(), QGenericArgument val9=QGenericArgument()) const
bool | invoke (QObject *object, QGenericArgument val0=QGenericArgument(0), QGenericArgument val1=QGenericArgument(), QGenericArgument val2=QGenericArgument(), QGenericArgument val3=QGenericArgument(), QGenericArgument val4=QGenericArgument(), QGenericArgument val5=QGenericArgument(), QGenericArgument val6=QGenericArgument(), QGenericArgument val7=QGenericArgument(), QGenericArgument val8=QGenericArgument(), QGenericArgument val9=QGenericArgument()) const
## Friends
struct | QMetaObject

## Member Enumeration Documentation

enum Access

Search for all occurrences

Enumerator:

  Private | Search for all occurrences
  Protected | Search for all occurrences
  Public | Search for all occurrences

Definition at line 66 of file qmetaobject.h.

    { Private, Protected, Public };

enum MethodType

Search for all occurrences

Enumerator:

  Method | Search for all occurrences
  Signal | Search for all occurrences
  Slot | Search for all occurrences
  Constructor | Search for all occurrences

Definition at line 68 of file qmetaobject.h.

    { Method, Signal, Slot, Constructor };

enum Attributes

Search for all occurrences

Enumerator:

  Compatibility | Search for all occurrences
  Cloned | Search for all occurrences
  Scriptable | Search for all occurrences

Definition at line 70 of file qmetaobject.h.

    { Compatibility = 0x1, Cloned = 0x2, Scriptable = 0x4 };

## Constructor & Destructor Documentation

QMetaMethod | ( |  | ) | `[inline]`

Definition at line 59 of file qmetaobject.h.

    : mobj(0),handle(0) {}

## Member Function Documentation

const char* signature | ( |  | ) | const

Search for all occurrences

const char* typeName | ( |  | ) | const

Search for all occurrences

QList<QByteArray> parameterTypes | ( |  | ) | const

Search for all occurrences

QList<QByteArray> parameterNames | ( |  | ) | const

Search for all occurrences

const char* tag | ( |  | ) | const

Search for all occurrences

Access access | ( |  | ) | const

Search for all occurrences

MethodType methodType | ( |  | ) | const

Search for all occurrences

int attributes | ( |  | ) | const

Search for all occurrences

int methodIndex | ( |  | ) | const

Search for all occurrences

const QMetaObject* enclosingMetaObject | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 74 of file qmetaobject.h.

    { return mobj; }

bool invoke | ( | QObject * | object,
|  | Qt::ConnectionType | connectionType,
|  | QGenericReturnArgument | returnValue,
|  | QGenericArgument | val0 = `QGenericArgument(0)`,
|  | QGenericArgument | val1 = `QGenericArgument()`,
|  | QGenericArgument | val2 = `QGenericArgument()`,
|  | QGenericArgument | val3 = `QGenericArgument()`,
|  | QGenericArgument | val4 = `QGenericArgument()`,
|  | QGenericArgument | val5 = `QGenericArgument()`,
|  | QGenericArgument | val6 = `QGenericArgument()`,
|  | QGenericArgument | val7 = `QGenericArgument()`,
|  | QGenericArgument | val8 = `QGenericArgument()`,
|  | QGenericArgument | val9 = `QGenericArgument()`
| ) |  | const

Search for all occurrences

bool invoke | ( | QObject * | object,
|  | QGenericReturnArgument | returnValue,
|  | QGenericArgument | val0 = `QGenericArgument(0)`,
|  | QGenericArgument | val1 = `QGenericArgument()`,
|  | QGenericArgument | val2 = `QGenericArgument()`,
|  | QGenericArgument | val3 = `QGenericArgument()`,
|  | QGenericArgument | val4 = `QGenericArgument()`,
|  | QGenericArgument | val5 = `QGenericArgument()`,
|  | QGenericArgument | val6 = `QGenericArgument()`,
|  | QGenericArgument | val7 = `QGenericArgument()`,
|  | QGenericArgument | val8 = `QGenericArgument()`,
|  | QGenericArgument | val9 = `QGenericArgument()`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 89 of file qmetaobject.h.

        {
            return invoke(object, Qt::AutoConnection, returnValue,
                          val0, val1, val2, val3, val4, val5, val6, val7, val8, val9);
        }

bool invoke | ( | QObject * | object,
|  | Qt::ConnectionType | connectionType,
|  | QGenericArgument | val0 = `QGenericArgument(0)`,
|  | QGenericArgument | val1 = `QGenericArgument()`,
|  | QGenericArgument | val2 = `QGenericArgument()`,
|  | QGenericArgument | val3 = `QGenericArgument()`,
|  | QGenericArgument | val4 = `QGenericArgument()`,
|  | QGenericArgument | val5 = `QGenericArgument()`,
|  | QGenericArgument | val6 = `QGenericArgument()`,
|  | QGenericArgument | val7 = `QGenericArgument()`,
|  | QGenericArgument | val8 = `QGenericArgument()`,
|  | QGenericArgument | val9 = `QGenericArgument()`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 105 of file qmetaobject.h.

        {
            return invoke(object, connectionType, QGenericReturnArgument(),
                          val0, val1, val2, val3, val4, val5, val6, val7, val8, val9);
        }

bool invoke | ( | QObject * | object,
|  | QGenericArgument | val0 = `QGenericArgument(0)`,
|  | QGenericArgument | val1 = `QGenericArgument()`,
|  | QGenericArgument | val2 = `QGenericArgument()`,
|  | QGenericArgument | val3 = `QGenericArgument()`,
|  | QGenericArgument | val4 = `QGenericArgument()`,
|  | QGenericArgument | val5 = `QGenericArgument()`,
|  | QGenericArgument | val6 = `QGenericArgument()`,
|  | QGenericArgument | val7 = `QGenericArgument()`,
|  | QGenericArgument | val8 = `QGenericArgument()`,
|  | QGenericArgument | val9 = `QGenericArgument()`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 121 of file qmetaobject.h.

        {
            return invoke(object, Qt::AutoConnection, QGenericReturnArgument(),
                          val0, val1, val2, val3, val4, val5, val6, val7, val8, val9);
        }

## Friends And Related Function Documentation

friend struct QMetaObject `[friend]`

Search for all occurrences

Definition at line 140 of file qmetaobject.h.

The documentation for this class was generated from the following file:

- QtCore/qmetaobject.h

QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod
QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod QMetaMethod